{"openapi":"3.0.4","info":{"title":"Upsert a Scenario. This creates or updates the scenario definition in LUSID.","description":"Update or insert one Scenario definition. An item will be updated if it already exists\r\nand inserted if it does not.\r\n            \r\nThe response will return the successfully updated or inserted scenario or failure message if unsuccessful.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/scenarios":{"post":{"tags":["Scenarios"],"summary":"Upsert a Scenario. This creates or updates the scenario definition in LUSID.","description":"Update or insert one Scenario definition. An item will be updated if it already exists\r\nand inserted if it does not.\r\n            \r\nThe response will return the successfully updated or inserted scenario or failure message if unsuccessful.","operationId":"UpsertScenario","requestBody":{"description":"The Scenario to update or insert","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertScenarioRequest"},"example":{"scenario":{"scope":"stress-tests","code":"rates-up-50","displayName":"Rates +50bps Parallel","description":"Parallel shift of +50bps across all rate curves","shortCode":"RTUP2024","scenarioType":"Hypothetical","shifts":[{"ccy":"USD","amount":50,"startTenor":"1m","endTenor":"30y","shiftType":"parallel","scale":"Bps","windowBounds":"Inclusive","applyWhenValue":"Any","scenarioShiftType":"RateCurveShiftDefinition"}]}}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertScenarioRequest"},"example":{"scenario":{"scope":"stress-tests","code":"rates-up-50","displayName":"Rates +50bps Parallel","description":"Parallel shift of +50bps across all rate curves","shortCode":"RTUP2024","scenarioType":"Hypothetical","shifts":[{"ccy":"USD","amount":50,"startTenor":"1m","endTenor":"30y","shiftType":"parallel","scale":"Bps","windowBounds":"Inclusive","applyWhenValue":"Any","scenarioShiftType":"RateCurveShiftDefinition"}]}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertScenarioRequest"},"example":{"scenario":{"scope":"stress-tests","code":"rates-up-50","displayName":"Rates +50bps Parallel","description":"Parallel shift of +50bps across all rate curves","shortCode":"RTUP2024","scenarioType":"Hypothetical","shifts":[{"ccy":"USD","amount":50,"startTenor":"1m","endTenor":"30y","shiftType":"parallel","scale":"Bps","windowBounds":"Inclusive","applyWhenValue":"Any","scenarioShiftType":"RateCurveShiftDefinition"}]}}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertScenarioRequest"},"example":{"scenario":{"scope":"stress-tests","code":"rates-up-50","displayName":"Rates +50bps Parallel","description":"Parallel shift of +50bps across all rate curves","shortCode":"RTUP2024","scenarioType":"Hypothetical","shifts":[{"ccy":"USD","amount":50,"startTenor":"1m","endTenor":"30y","shiftType":"parallel","scale":"Bps","windowBounds":"Inclusive","applyWhenValue":"Any","scenarioShiftType":"RateCurveShiftDefinition"}]}}}},"required":true},"responses":{"200":{"description":"The successfully updated or inserted item or any failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertSingleStructuredDataResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertSingleStructuredDataResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertSingleStructuredDataResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}